#ifndef FRAME_H

class Frame {
  public:
    Frame();
    Frame(int height, int width, int time, int vpp);
    Frame(float* buf, int width, int height, int time, int vpp);
    void operator=(Frame);
    float val(int, int, int c = 0);
  
    float* buf;
    bool *hiMask, *loMask;
    int time;
    int height, width, vpp;
    float contrast, brightness;
};

#define FRAME_H
#endif
