#ifndef HANDLERECT_H

#include <qwidget.h>

#include "Handle.h"

class HandleRect : public QWidget {
Q_OBJECT
  public: 
    HandleRect(QWidget *parent, QPaintDevice*);
    QPoint pos();
    QSize size();
    void setRegion(QRect);
    void drawWidget(QPaintDevice*);
    void setPaintDevice(QPaintDevice*);

  signals:
    void regionChanged();

  public slots:
    void handleMoved(int id=0);

  protected:
    void paintEvent( QPaintEvent * );

  private:
    QPaintDevice *paintDevice;
    Handle **pts;
    int regHeight, regWidth;
};

#define HANDLERECT_H
#endif
