#ifndef HANDLELINE_H

#include <qwidget.h>

#include "Handle.h"

class HandleLine : public QWidget {
Q_OBJECT
  public: 
    HandleLine(QWidget*, QPaintDevice*);
    QPoint pos();
    QSize size();
    float angle();
    void drawWidget(QPaintDevice*);
    void setPaintDevice(QPaintDevice*);

  signals:
    void regionChanged();

  public slots:
    void handleMoved(int id=0);

  protected:
    void paintEvent( QPaintEvent * );

  private:
    QPaintDevice *paintDevice;
    Handle **pts;
    float regHeight, regWidth, regAngle;
  
};

#define HANDLELINE_H
#endif
